#include <bits/stdc++.h>
using namespace std;
int cong(int n)
{
	if (n==1) return 1 ;else return (pow(-1,n+1))*n + cong(n-1);
}

int gt(int n)
{
	int z, gth=1;
	for(z=1;z<=n;z++) gth=gth*z;
	return gth;
}
int nhan(int n)
{
	if (n==1) return 1 ;else return gt(n)+ nhan(n-1);
}
int main ()
{
	int x;
	ifstream f1("DQQT.INP");
	ofstream f2("DQQT.OUT");
	f1>>x;
	f2<<cong(x)<<endl<<nhan(x);
	f1.close();
	f2.close();
}
